=== package/debian/control ===
Source: cdk
Maintainer: Thomas E. Dickey <dickey@invisible-island.net>
Section: misc
Priority: optional
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5), libncursesw5-dev (>= 5.3), groff-base
Homepage: http://invisible-island.net/cdk/

Package: libcdk5
Architecture: any
Depends: libncursesw5 (>= 5.3)
Description: Cdk - Curses Development Kit
 Cdk stands for "Curses Development Kit".  It contains a large number of ready
 to use widgets which facilitate the speedy development of full-screen curses
 programs.

Package: libcdk5-dev
Architecture: any
Depends: libncursesw5 (>= 5.3), libcdk5
Suggests: libcdk-doc
Description: Cdk - Curses Development Kit
 Cdk stands for "Curses Development Kit".  It contains a large number of ready
 to use widgets which facilitate the speedy development of full-screen curses
 programs.
 .
 This package contains the header-files and development libraries for
 libcdk5.

Package: libcdk5-doc
Architecture: any
Depends: groff-base
Description: Cdk - Curses Development Kit
 Cdk stands for "Curses Development Kit".  It contains a large number of ready
 to use widgets which facilitate the speedy development of full-screen curses
 programs.
 .
 This package contains the manpages for libcdk5 and libcdkw5.
